Subject: Re: bug#12582: 24.1.50; customize settings not persisting across sessions + CHANGED outside Customize flag issue

From: Hilary J Holz <[email-masked]>
Date: Fri, 5 Oct 2012 15:06:19 -0700

On Oct 5, 2012, at 2:46 PM, Glenn Morris wrote:

> Hilary J Holz wrote:
> 
>> 1. M-x customize-apropos<RET>shell-switcher
> 
> There is no "shell-switcher" in Emacs.
> Most probably, this is a bug in whatever package provides that feature,
> and should be reported to whoever maintains it.
> 

I would have done that if the problem had been local to the package. However, there remains the issue with CHANGED outside Customize. 

My decision to report it to emacs was very much shaped by http://stackoverflow.com/questions/10042639/what-does-saved-and-set-mismatch-and-in-particular-the-mismatch-part-me. In that q/a, the same flag was identified as being problematic, part of a two bug interaction that is rather reminiscent of this one.

In any case, I have long since found a workaround. The extra work diagnosing and reporting it was purely a community contribution. I can only hope someone finds it useful.

>> In GNU Emacs 24.1.50.2 (i386-apple-darwin11.4.0, NS apple-appkit-1138.47)
>> of 2012-05-15 on jessica-2.local
> 
> This is a rather old version of the Emacs trunk.
> 

ROFL! Take it up with the homebrew folks, it's their build.

Hilz

----
Hilary J Holz
full stack web developer
[email-masked]
http://hholz.com/
http://linkedin.com/in/hilaryholz